from kombo import Kombowith Kombo( integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28", api_key="<YOUR_BEARER_TOKEN_HERE>",) as k_client: res = k_client.hris.get_time_off_balances(page_size=100, include_deleted=False, ignore_unsupported_filters=False) while res is not None: # Handle items res = res.next()
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.getTimeOffBalances({});
for await (const page of result) {
console.log(page);
}
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.get_time_off_balances(page_size: 100, include_deleted: false, ignore_unsupported_filters: false)
unless res.get_hris_time_off_balances_positive_response.nil?
# handle response
end
from kombo import Kombowith Kombo( integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28", api_key="<YOUR_BEARER_TOKEN_HERE>",) as k_client: res = k_client.hris.get_time_off_balances(page_size=100, include_deleted=False, ignore_unsupported_filters=False) while res is not None: # Handle items res = res.next()
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.hris.getTimeOffBalances({});
for await (const page of result) {
console.log(page);
}
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.hris.get_time_off_balances(page_size: 100, include_deleted: false, ignore_unsupported_filters: false)
unless res.get_hris_time_off_balances_positive_response.nil?
# handle response
end
You’d like to see this feature for another integration? Please reach out!
We’re always happy to discuss extending our coverage.
Top level filters use AND, while individual filters use OR if they accept multiple arguments. That means filters will be resolved like this: (id IN ids) AND (remote_id IN remote_ids)
Filter the entries based on the modification date in format YYYY-MM-DDTHH:mm:ss.sssZ. Returns records where either the record itself OR its nested data has been updated since this timestamp, even if the record's own changed_at field remains unchanged.
If you want to track entry deletion, also set the include_deleted=true query parameter, because otherwise, deleted entries will be hidden.
For this endpoint, updated_after matches when the returned record changed, or when related data changed as described below.
Path
Added/Removed
Linked Record
type
n/a
✓ Yes
Added/Removed: Whether adding or removing entries from this list triggers an update (n/a for single records). Linked Record: Whether changes to the linked record itself trigger an update.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kombo","colors":{"primary":"#14b8a6","light":"#5eead4","dark":"#15B8A6"},"logo":{"light":"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625","dark":"https://mintcdn.com/kombo/BvlFKneaD6eycZI3/logo/dark.svg?fit=max\u0026auto=format\u0026n=BvlFKneaD6eycZI3\u0026q=85\u0026s=c326174907f14ee7bef0e17d62708eba"},"favicon":"https://mintcdn.com/kombo/2lUmYlLqJZfpPMTz/favicon.svg?fit=max\u0026auto=format\u0026n=2lUmYlLqJZfpPMTz\u0026q=85\u0026s=06bfda04e248fb862b34c4e972d4b1a8","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.kombo.dev/v1"}},"navbar":{"links":[{"href":"https://app.kombo.dev","label":"Dashboard"}],"primary":{"type":"button","label":"Get a demo","href":"https://www.kombo.dev/demo"}},"footer":{"socials":{"website":"https://www.kombo.dev/","linkedin":"https://www.linkedin.com/company/kombo-api/about"}},"seo":{"indexing":"all"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kombo","hasAudioNarration":false,"actualSubdomain":"kombo","customDomains":["docs.kombo.dev"],"gitSource":{"type":"github","owner":"kombohq","repo":"docs-prod","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0be6aedbd4c098a94b36f","collectionId":"8074ab34-d8d9-4670-b13d-7659b7d554ec","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0be6aedbd4c098a94b36f"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0be6aedbd4c098a94b36f","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"Developer documentation","count":696},{"language":"default","tag":"General","count":336},{"language":"default","tag":"Available Connectors","count":259},{"language":"default","tag":"HRIS","count":240},{"language":"default","tag":"ATS","count":238},{"language":"default","tag":"Features","count":114},{"language":"default","tag":"ATS Assessment \u0026 Background Check","count":90},{"language":"default","tag":"LMS","count":88},{"language":"default","tag":"Guides","count":75},{"language":"default","tag":"General API Reference","count":56}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"img[src^='https://storage.googleapis.com/kombo-assets/integrations/']{background-color:transparent!important}[data-name=frame] img{max-height:40vh}a[id]{scroll-margin-top:var(--scroll-mt)}"}],"page":{"pagePath":"hris/v1/get-time-off-balances","slug":"/hris/v1/get-time-off-balances","pageMetadata":{"title":"Get time off balances","description":"Retrieve all time off balances.","openapi":"GET /hris/time-off-balances","href":"/hris/v1/get-time-off-balances"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve all time off balances.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Accordion,OptimizedImage}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);return _jsxs(_Fragment,{children:[_jsxs(Accordion,{title:`Supported integrations`,icon:`list-check`,id:`supported-integrations`,children:[_jsx(_components.p,{children:`This feature is currently available for the following integrations:`}),_jsxs(`ul`,{children:[_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/personio/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/personio`,children:`Personio`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/workday/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/workday`,children:`Workday`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/successfactors/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/successfactors`,children:`SAP SuccessFactors`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/ukgpro/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/ukgpro`,children:`UKG Pro`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/adpworkforcenow/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/adpworkforcenow`,children:`ADP Workforce Now`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/bamboohr/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/bamboohr`,children:`BambooHR`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/hibob/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/hibob`,children:`HiBob`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/deel/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/deel`,children:`Deel`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/remotecom/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/remotecom`,children:`Remote`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/iriscascade/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/iriscascade`,children:`IRIS Cascade`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/sagehr/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/sagehr`,children:`Sage HR`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/humaans/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/humaans`,children:`Humaans`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/eurecia/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/eurecia`,children:`Eurécia`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/charliehr/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/charliehr`,children:`Charlie`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/hrworks/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/hrworks`,children:`HR WORKS`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/insperity/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/insperity`,children:`Insperity`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/rippling/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/rippling`,children:`Rippling`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/sdworx/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/sdworx`,children:`SD Worx`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/veda/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/veda`,children:`VEDA HR Suite`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/sandbox/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/sandbox`,children:`Kombo Sandbox`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/sftp/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/sftp`,children:`SFTP`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/sftpfetch/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/hris/connectors/sftpfetch`,children:`SFTP Fetch`})]})]}),_jsx(_components.p,{children:`You’d like to see this feature for another integration? Please reach out!\nWe’re always happy to discuss extending our coverage.`})]}),`\n`,_jsxs(_components.p,{children:[`Top level filters use AND, while individual filters use OR if they accept multiple arguments. That means filters will be resolved like this: `,_jsx(_components.code,{children:`(id IN ids) AND (remote_id IN remote_ids)`})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get time off balances","description":"Retrieve all time off balances.","openapi":"GET /hris/time-off-balances","href":"/hris/v1/get-time-off-balances"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/kombo/807f792f5d0ef37a/rb2b.js","/_mintlify/custom/kombo/6fdcec7d895f83f2/auto-expand-response-fields.js"],"dynamicCss":".mint-m-0 {\n margin: 0px\n}\n.mint-mr-2 {\n margin-right: 0.5rem\n}\n.mint-flex {\n display: flex\n}\n.mint-items-center {\n align-items: center\n}","openApiReferenceData":{"operation":{"operationId":"GetHrisTimeOffBalances","summary":"Get time off balances","description":"Retrieve all time off balances.","tags":["Unified HRIS API"],"parameters":["4871ee6e-769b-4e68-a26c-13fd6125ff77","5c2093ee-a0a9-4661-967d-943ab83c74af","d855e98f-54ec-43eb-b7de-4694e35913a7","8d660010-081a-4647-ac17-0575f226bb1e","0183d436-04c1-4913-9b45-998222f341ee","0023273d-676b-485a-8dbb-e9a81f392ce1","d761fb20-b151-4b5c-a50b-a9d7dbce85cc","153bde8f-0068-442b-b392-917026131e78","6a8f6677-d4ba-4ef4-a795-ccab3aba09ad"],"responses":{"200":"233e123d-40de-40d0-9346-133b7037bee0","default":"aefd15d9-8cf0-4fe0-aadd-63c393c68039"},"x-codeSamples":[{"lang":"python","label":"GetHrisTimeOffBalances","source":"from kombo import Kombo\n\n\nwith Kombo(\n integration_id=\"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.hris.get_time_off_balances(page_size=100, include_deleted=False, ignore_unsupported_filters=False)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"typescript","label":"GetHrisTimeOffBalances","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n integration_id: \"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.hris.getTimeOffBalances({});\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"ruby","label":"GetHrisTimeOffBalances","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.hris.get_time_off_balances(page_size: 100, include_deleted: false, ignore_unsupported_filters: false)\n\nunless res.get_hris_time_off_balances_positive_response.nil?\n # handle response\nend"}],"method":"get","type":"path","servers":["e1e4b2f0-a3d9-40bc-8c86-88e186c8592f","e5ddd4b3-f80b-49c2-b7e9-adcb34e0f404","5fdeb8cd-49ed-490c-8659-d486729fa494"],"security":["0a489624-daff-4c71-9fce-bd89d5c3263e"],"path":"/hris/time-off-balances","baseUrlOptions":["https://api.kombo.dev/v1","https://api.us.kombo.dev/v1","https://api.ca.kombo.dev/v1"],"title":"Get time off balances","codeSamples":[{"label":"GetHrisTimeOffBalances","lang":"python","source":"from kombo import Kombo\n\n\nwith Kombo(\n integration_id=\"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.hris.get_time_off_balances(page_size=100, include_deleted=False, ignore_unsupported_filters=False)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"GetHrisTimeOffBalances","lang":"typescript","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n integration_id: \"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.hris.getTimeOffBalances({});\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"GetHrisTimeOffBalances","lang":"ruby","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.hris.get_time_off_balances(page_size: 100, include_deleted: false, ignore_unsupported_filters: false)\n\nunless res.get_hris_time_off_balances_positive_response.nil?\n # handle response\nend"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"4871ee6e-769b-4e68-a26c-13fd6125ff77":{"in":"header","name":"X-Integration-Id","schema":{"type":"string","isRequired":true,"description":"ID of the integration you want to interact with.","uniqueKey":"","typeLabel":"string"},"description":"ID of the integration you want to interact with.","example":"bamboohr:HWUTwvyx2wLoSUHphiWVrp28","required":true},"5c2093ee-a0a9-4661-967d-943ab83c74af":{"name":"cursor","in":"query","required":false,"description":"An optional cursor string used for pagination. This can be retrieved from the `next` property of the previous page response.","schema":{"type":"string","description":"An optional cursor string used for pagination. This can be retrieved from the `next` property of the previous page response.","isRequired":false,"uniqueKey":"","typeLabel":"string"}},"d855e98f-54ec-43eb-b7de-4694e35913a7":{"name":"page_size","in":"query","required":false,"description":"The number of results to return per page. Maximum is 250.","schema":{"type":"integer","format":"int64","minimum":1,"maximum":250,"default":100,"description":"The number of results to return per page. Maximum is 250.","isRequired":false,"uniqueKey":"","typeLabel":"integer\u003cint64>"}},"8d660010-081a-4647-ac17-0575f226bb1e":{"name":"updated_after","in":"query","required":false,"description":"Filter the entries based on the modification date in format `YYYY-MM-DDTHH:mm:ss.sssZ`. Returns records where either the record itself **OR** its nested data has been updated since this timestamp, even if the record's own `changed_at` field remains unchanged.\n\nIf you want to track entry deletion, also set the `include_deleted=true` query parameter, because otherwise, deleted entries will be hidden.\n\nFor more details, see [Understanding changed_at vs updated_after Behavior](https://docs.kombo.dev/ats/getting-started/fetching-data#understanding-changed_at-vs-updated_after-behavior).\n\nFor this endpoint, `updated_after` matches when the returned record changed, or when related data changed as described below.\n\n| Path | Added/Removed | Linked Record |\n| --- | --- | --- |\n| `type` | n/a | ✓ Yes |\n\n_**Added/Removed**: Whether adding or removing entries from this list triggers an update (n/a for single records). **Linked Record**: Whether changes to the linked record itself trigger an update._","schema":{"description":"Filter the entries based on the modification date in format `YYYY-MM-DDTHH:mm:ss.sssZ`. Returns records where either the record itself **OR** its nested data has been updated since this timestamp, even if the record's own `changed_at` field remains unchanged.\n\nIf you want to track entry deletion, also set the `include_deleted=true` query parameter, because otherwise, deleted entries will be hidden.\n\nFor more details, see [Understanding changed_at vs updated_after Behavior](https://docs.kombo.dev/ats/getting-started/fetching-data#understanding-changed_at-vs-updated_after-behavior).\n\nFor this endpoint, `updated_after` matches when the returned record changed, or when related data changed as described below.\n\n| Path | Added/Removed | Linked Record |\n| --- | --- | --- |\n| `type` | n/a | ✓ Yes |\n\n_**Added/Removed**: Whether adding or removing entries from this list triggers an update (n/a for single records). **Linked Record**: Whether changes to the linked record itself trigger an update._","type":"string","format":"date-time","pattern":"^\\d{4}-\\d{2}-\\d{2}(T\\d{2}:\\d{2}:\\d{2}(\\.\\d+)?)?Z?$","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate-time>"}},"0183d436-04c1-4913-9b45-998222f341ee":{"name":"include_deleted","in":"query","required":false,"description":"By default, deleted entries are not returned. Use the `include_deleted` query param to include deleted entries too.","schema":{"type":"string","enum":["true","false"],"default":"false","description":"By default, deleted entries are not returned. Use the `include_deleted` query param to include deleted entries too.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"0023273d-676b-485a-8dbb-e9a81f392ce1":{"name":"ignore_unsupported_filters","in":"query","required":false,"description":"When set to `true`, filters targeting fields not supported by this integration will be ignored instead of filtering out all results.","schema":{"type":"string","enum":["true","false"],"default":"false","description":"When set to `true`, filters targeting fields not supported by this integration will be ignored instead of filtering out all results.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"d761fb20-b151-4b5c-a50b-a9d7dbce85cc":{"name":"ids","in":"query","required":false,"description":"Filter by a comma-separated list of IDs such as `222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3`.","schema":{"type":"string","description":"Filter by a comma-separated list of IDs such as `222k7eCGyUdgt2JWZDNnkDs3,B5DVmypWENfU6eMe6gYDyJG3`.","isRequired":false,"uniqueKey":"","typeLabel":"string"}},"153bde8f-0068-442b-b392-917026131e78":{"name":"remote_ids","in":"query","required":false,"description":"Filter by a comma-separated list of remote IDs.","schema":{"type":"string","description":"Filter by a comma-separated list of remote IDs.","isRequired":false,"uniqueKey":"","typeLabel":"string"}},"6a8f6677-d4ba-4ef4-a795-ccab3aba09ad":{"name":"employee_id","in":"query","required":false,"description":"Filter by a specific employee using their ID.","schema":{"type":"string","description":"Filter by a specific employee using their ID.","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"responses":{"233e123d-40de-40d0-9346-133b7037bee0":{"description":"GET /hris/time-off-balances Positive response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","const":"success","isRequired":true,"uniqueKey":"status","typeLabel":"string"},"data":{"type":"object","properties":{"next":{"oneOf":[{"type":"string","description":"Cursor string that can be passed to the `cursor` query parameter to get the next page. If this is `null`, then there are no more pages.","isRequired":true,"uniqueKey":"data.next.oneOf.0","typeLabel":"string"},{"type":"null","description":"Cursor string that can be passed to the `cursor` query parameter to get the next page. If this is `null`, then there are no more pages.","isRequired":true,"uniqueKey":"data.next.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.next","typeLabel":"string | null"},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].id","typeLabel":"string"},"remote_id":{"oneOf":[{"type":"string","description":"The raw ID of the object in the remote system. We don't recommend using this as a primary key on your side as it might sometimes be compromised of multiple identifiers if a system doesn't provide a clear primary key.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"The raw ID of the object in the remote system. We don't recommend using this as a primary key on your side as it might sometimes be compromised of multiple identifiers if a system doesn't provide a clear primary key.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_id","typeLabel":"string | null"},"employee_id":{"type":"string","description":"The Kombo ID of the employee to which the balance belongs to. The ID can be used to retrieve the employee from the `get employees` endpoint.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].employee_id","typeLabel":"string"},"type_id":{"type":"string","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type_id","typeLabel":"string"},"balance":{"oneOf":[{"type":"number","format":"double","description":"The amount of time available to the employee.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"The amount of time available to the employee.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance","typeLabel":"number\u003cdouble> | null"},"balance_unit":{"oneOf":[{"type":"string","enum":["HOURS","DAYS"],"description":"The time-unit of the balance.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance_unit.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["HOURS","DAYS"],"description":"The time-unit of the balance.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance_unit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].balance_unit","typeLabel":"enum\u003cstring> | null"},"changed_at":{"description":"The timestamp when this specific record was last modified. This field only updates when properties directly on this record change, NOT when related or nested models change. For filtering that considers nested data changes, use the `updated_after` parameter which will return records when either the record itself OR its related models have been updated.","type":"string","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].changed_at","typeLabel":"string\u003cdate-time>"},"remote_deleted_at":{"oneOf":[{"description":"The date and time the object was deleted in the remote system. Objects are automatically marked as deleted when Kombo can't retrieve them from the remote system anymore. Kombo will also anonymize entries 14 days after they disappear.","type":"string","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"description":"The date and time the object was deleted in the remote system. Objects are automatically marked as deleted when Kombo can't retrieve them from the remote system anymore. Kombo will also anonymize entries 14 days after they disappear.","type":"null","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_deleted_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_deleted_at","typeLabel":"string\u003cdate-time> | null"},"used":{"oneOf":[{"type":"number","format":"double","description":"The amount of time used by the employee.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].used.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"The amount of time used by the employee.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].used.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].used","typeLabel":"number\u003cdouble> | null"},"used_unit":{"oneOf":[{"type":"string","enum":["HOURS","DAYS"],"description":"The time-unit of the used time.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].used_unit.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["HOURS","DAYS"],"description":"The time-unit of the used time.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].used_unit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].used_unit","typeLabel":"enum\u003cstring> | null"},"remote_data":{"oneOf":[{"type":"object","additionalProperties":true,"description":"**(⚠️ Deprecated)** Remote data can no longer be enabled. This field is `null` unless remote data was already enabled for this model in your scope config. [Read more](https://docs.kombo.dev/hris/getting-started/remote-data)","deprecated":true,"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_data.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"description":"**(⚠️ Deprecated)** Remote data can no longer be enabled. This field is `null` unless remote data was already enabled for this model in your scope config. [Read more](https://docs.kombo.dev/hris/getting-started/remote-data)","deprecated":true,"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_data.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].remote_data","typeLabel":"object | null"},"type":{"type":"object","properties":{"id":{"type":"string","description":"The globally unique ID of this object generated by Kombo. We recommend using this as a stable primary key for syncing.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.id","typeLabel":"string"},"remote_id":{"type":"string","description":"The raw ID of the object in the remote system. We don't recommend using this as a primary key on your side as it might sometimes be compromised of multiple identifiers if a system doesn't provide a clear primary key.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_id","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The absence’s name.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The absence’s name.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.name","typeLabel":"string | null"},"unit":{"oneOf":[{"type":"string","enum":["HOURS","DAYS"],"description":"The time-unit of the absence.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.unit.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["HOURS","DAYS"],"description":"The time-unit of the absence.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.unit.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.unit","typeLabel":"enum\u003cstring> | null"},"half_days_supported":{"oneOf":[{"type":"boolean","description":"Whether the integration supports half-day absences (represented through `start_half_day` and `end_half_day`) for this absence type.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.half_days_supported.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the integration supports half-day absences (represented through `start_half_day` and `end_half_day`) for this absence type.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.half_days_supported.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.half_days_supported","typeLabel":"boolean | null"},"exact_times_supported":{"oneOf":[{"type":"boolean","description":"`true` if the system supports exact times (absences with a `start_time` and an `end_time`) for this absence, `false` if not.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.exact_times_supported.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"`true` if the system supports exact times (absences with a `start_time` and an `end_time`) for this absence, `false` if not.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.exact_times_supported.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.exact_times_supported","typeLabel":"boolean | null"},"remote_data":{"oneOf":[{"type":"object","additionalProperties":true,"description":"**(⚠️ Deprecated)** Remote data can no longer be enabled. This field is `null` unless remote data was already enabled for this model in your scope config. [Read more](https://docs.kombo.dev/hris/getting-started/remote-data)","deprecated":true,"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_data.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"description":"**(⚠️ Deprecated)** Remote data can no longer be enabled. This field is `null` unless remote data was already enabled for this model in your scope config. [Read more](https://docs.kombo.dev/hris/getting-started/remote-data)","deprecated":true,"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_data.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_data","typeLabel":"object | null"},"custom_fields":{"oneOf":[{"type":"object","additionalProperties":true,"description":"A key-value store of fields not covered by the schema. [Read more](/custom-fields)","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.custom_fields.oneOf.0","typeLabel":"object"},{"type":"null","additionalProperties":true,"description":"A key-value store of fields not covered by the schema. [Read more](/custom-fields)","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.custom_fields.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.custom_fields","typeLabel":"object | null"},"integration_fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"The globally unique ID of this object.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].id","typeLabel":"string"},"key":{"type":"string","description":"The key of the field in the remote system.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].key","typeLabel":"string"},"type":{"type":"string","enum":["DEFAULT","CUSTOM"],"description":"- `DEFAULT`: static fields in the remote system.\n- `CUSTOM`: fields that are created/editable by the user.","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].type","typeLabel":"enum\u003cstring>"},"label":{"oneOf":[{"type":"string","description":"The label of the field. (not always available)","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].label.oneOf.0","typeLabel":"string"},{"type":"null","description":"The label of the field. (not always available)","isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].label.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].label","typeLabel":"string | null"},"value":{"type":"null","description":"The field's value.","uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX].value","typeLabel":"null"}},"required":["id","key","type","label"],"uniqueKey":"data.results.items.[INDEX].type.integration_fields.items.[INDEX]","typeLabel":"object"},"description":"An array of selected passthrough integration fields. [Read more](/integration-fields)","examples":[[{"id":"5NVFhMpB9Ah6by44tzNjZLyE","key":"firstName","type":"DEFAULT","value":"Frank","label":"First Name"},{"id":"8nuajYpoRd5GnxEQaaWKUDYQ","key":"customTshirtSize","type":"CUSTOM","value":"XL","label":"T-Shirt Size"}]],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.integration_fields","typeLabel":"object[]"},"changed_at":{"description":"The timestamp when this specific record was last modified. This field only updates when properties directly on this record change, NOT when related or nested models change. For filtering that considers nested data changes, use the `updated_after` parameter which will return records when either the record itself OR its related models have been updated.","type":"string","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.changed_at","typeLabel":"string\u003cdate-time>"},"remote_deleted_at":{"oneOf":[{"description":"The date and time the object was deleted in the remote system. Objects are automatically marked as deleted when Kombo can't retrieve them from the remote system anymore. Kombo will also anonymize entries 14 days after they disappear.","type":"string","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"description":"The date and time the object was deleted in the remote system. Objects are automatically marked as deleted when Kombo can't retrieve them from the remote system anymore. Kombo will also anonymize entries 14 days after they disappear.","type":"null","format":"date-time","externalDocs":{"url":"https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/toISOString"},"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_deleted_at.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type.remote_deleted_at","typeLabel":"string\u003cdate-time> | null"}},"required":["id","remote_id","name","unit","half_days_supported","exact_times_supported","remote_data","custom_fields","integration_fields","changed_at","remote_deleted_at"],"examples":[{"id":"xzZoKssDaMZAd62kxayzzQvD","remote_id":"91","name":"Vacation","unit":"DAYS","half_days_supported":true,"exact_times_supported":false,"remote_data":null,"custom_fields":{},"integration_fields":[],"changed_at":"2022-08-07T14:01:29.196Z","remote_deleted_at":null}],"isRequired":true,"uniqueKey":"data.results.items.[INDEX].type","typeLabel":"object"}},"required":["id","remote_id","employee_id","type_id","balance","balance_unit","changed_at","remote_deleted_at","used","used_unit","remote_data","type"],"uniqueKey":"data.results.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.results","typeLabel":"object[]"}},"required":["next","results"],"examples":[{"next":"eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=","results":[{"id":"FuyRuk5NqP3qTcThED3ymTuE","remote_id":"124123","employee_id":"2Up4ZCvq1bFVzmzXG6EWzV3j","type_id":"BQJaBxRCiqN46G27VTegvkEr","balance":14,"balance_unit":"DAYS","changed_at":"2022-08-07T14:01:29.196Z","remote_deleted_at":null,"used":3,"used_unit":"DAYS","remote_data":null,"type":{"id":"xzZoKssDaMZAd62kxayzzQvD","remote_id":"91","name":"Vacation","unit":"DAYS","half_days_supported":true,"exact_times_supported":false,"remote_data":null,"custom_fields":{},"integration_fields":[],"changed_at":"2022-08-07T14:01:29.196Z","remote_deleted_at":null}}]}],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["status","data"],"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{"status":"success","data":{"next":"eyJwYWdlIjoxMiwibm90ZSI6InRoaXMgaXMganVzdCBhbiBleGFtcGxlIGFuZCBub3QgcmVwcmVzZW50YXRpdmUgZm9yIGEgcmVhbCBjdXJzb3IhIn0=","results":[{"id":"FuyRuk5NqP3qTcThED3ymTuE","remote_id":"124123","employee_id":"2Up4ZCvq1bFVzmzXG6EWzV3j","type_id":"BQJaBxRCiqN46G27VTegvkEr","balance":14,"balance_unit":"DAYS","changed_at":"2022-08-07T14:01:29.196Z","remote_deleted_at":null,"used":3,"used_unit":"DAYS","remote_data":null,"type":{"id":"xzZoKssDaMZAd62kxayzzQvD","remote_id":"91","name":"Vacation","unit":"DAYS","half_days_supported":true,"exact_times_supported":false,"remote_data":null,"custom_fields":{},"integration_fields":[],"changed_at":"2022-08-07T14:01:29.196Z","remote_deleted_at":null}}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"aefd15d9-8cf0-4fe0-aadd-63c393c68039":{"description":"The standard error response with the error codes for the HRIS use case.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"error":{"type":"object","properties":{"code":{"oneOf":[{"type":"string","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","INTEGRATION.PERMISSION_MISSING","INTEGRATION.AUTHENTICATION_INVALID","INTEGRATION.QA_FAILED","INTEGRATION.SETUP_SYNC_PENDING","INTEGRATION.SETUP_INCOMPLETE","INTEGRATION.INACTIVE","INTEGRATION.MODEL_NOT_AVAILABLE","INTEGRATION.MODEL_DISABLED","INTEGRATION.ACTION_NOT_AVAILABLE","INTEGRATION.ACTION_DISABLED","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","HRIS.STAFFING_ENTITY_CLOSED","HRIS.EMPLOYEE_ALREADY_EXISTS"],"example":"HRIS.EMPLOYEE_ALREADY_EXISTS","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","INTEGRATION.PERMISSION_MISSING","INTEGRATION.AUTHENTICATION_INVALID","INTEGRATION.QA_FAILED","INTEGRATION.SETUP_SYNC_PENDING","INTEGRATION.SETUP_INCOMPLETE","INTEGRATION.INACTIVE","INTEGRATION.MODEL_NOT_AVAILABLE","INTEGRATION.MODEL_DISABLED","INTEGRATION.ACTION_NOT_AVAILABLE","INTEGRATION.ACTION_DISABLED","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","HRIS.STAFFING_ENTITY_CLOSED","HRIS.EMPLOYEE_ALREADY_EXISTS"],"example":"HRIS.EMPLOYEE_ALREADY_EXISTS","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring> | null"},"title":{"oneOf":[{"type":"string","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.title","typeLabel":"string | null"},"message":{"type":"string","description":"A dynamic, detailed description of what went wrong in this specific instance.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"log_url":{"oneOf":[{"type":"string","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.log_url","typeLabel":"string\u003curi> | null"}},"required":["code","title","message","log_url"],"description":"Error details with structured code for programmatic handling.","isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Error Response":{"title":"Error Response","description":"When building error handling logic, always use the `code` field to identify specific error types programmatically. See the complete list of error codes in the [docs](https://docs.kombo.dev/guides/errors).","value":{"status":"error","error":{"code":"INTEGRATION.MODEL_NOT_AVAILABLE","title":"This data model isn't supported for the selected integration.","message":"The \"employees\" model is not yet available for Greenhouse. Please reach out to Kombo if you need this functionality.","log_url":"https://app.kombo.dev/my-prod/logs?interactionId=123456"}}},"Minimal Error Response":{"title":"Minimal Error Response","description":"The \"message\" is always required while other fields can also be `null`. See the [docs](https://docs.kombo.dev/guides/errors) for more information.","value":{"status":"error","error":{"code":null,"title":null,"message":"The message is always in the response.","log_url":null}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"0a489624-daff-4c71-9fce-bd89d5c3263e":{"ApiKey":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"}}},"servers":{"e1e4b2f0-a3d9-40bc-8c86-88e186c8592f":{"url":"https://api.kombo.dev/v1","description":"Kombo EU API"},"e5ddd4b3-f80b-49c2-b7e9-adcb34e0f404":{"url":"https://api.us.kombo.dev/v1","description":"Kombo US API"},"5fdeb8cd-49ed-490c-8659-d486729fa494":{"url":"https://api.ca.kombo.dev/v1","description":"Kombo CA API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"kombo","siteName":"Kombo","title":"Get time off balances - Kombo","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-21T13:56:28.129Z","originalFileLocation":"hris/v1/get-time-off-balances.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve all time off balances.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kombo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get time off balances - Kombo\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve all time off balances.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kombo\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kombo.dev/hris/v1/get-time-off-balances\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Time+off\u0026amp;title=Get+time+off+balances\u0026amp;description=Retrieve+all+time+off+balances.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=99849ac5a4576c246964773c7fe3635ebe317c6c6cdb7b9593eee397562a12ac\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get time off balances - Kombo\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve all time off balances.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Time+off\u0026amp;title=Get+time+off+balances\u0026amp;description=Retrieve+all+time+off+balances.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=99849ac5a4576c246964773c7fe3635ebe317c6c6cdb7b9593eee397562a12ac\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kombo\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#14b8a6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kombo.dev/hris/v1/get-time-off-balances\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/hris/v1/get-time-off-balances.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kombo.dev/#organization\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kombo.dev#website\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances#webpage\",\"url\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances\",\"name\":\"Get time off balances\",\"description\":\"Retrieve all time off balances.\",\"dateModified\":\"2026-10-21T13:56:28.129Z\",\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"HRIS API Reference\",\"item\":\"https://docs.kombo.dev/hris/v1/get-employees\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Time off\",\"item\":\"https://docs.kombo.dev/hris/v1/get-absences\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get time off balances\",\"item\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances#apireference\",\"headline\":\"Get time off balances\",\"name\":\"Get time off balances\",\"description\":\"Retrieve all time off balances.\",\"url\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kombo.dev/hris/v1/get-time-off-balances#webpage\"},\"dateModified\":\"2026-10-21T13:56:28.129Z\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kombo\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Kombo","nav":{"global":null,"tabs":[{"tab":"Developer documentation","icon":"code","anchors":[{"anchor":"Overview","pages":[{"title":"Overview","href":"/introduction"}]},{"anchor":"HRIS","icon":"users","groups":[{"group":"General","icon":"circle-info","pages":[{"title":"Introduction","icon":"book-open","href":"/hris/introduction"},{"group":"Getting started","icon":"signs-post","pages":[{"title":"Overview","icon":"rocket","href":"/hris/getting-started"},{"title":"Sandbox Integrations","icon":"flask","href":"/hris/getting-started/sandbox-integrations"},{"title":"Creating Integrations","icon":"link","href":"/hris/getting-started/create-integrations"},{"title":"Authentication","icon":"key","href":"/hris/getting-started/authentication"},{"title":"Querying the API","icon":"magnifying-glass","href":"/hris/getting-started/querying-api"},{"title":"Fetching Data","icon":"download","href":"/hris/getting-started/fetching-data"}]},{"group":"Implementation guide","icon":"user-magnifying-glass","pages":[{"title":"Context","icon":"circle-info","href":"/hris/implementation-guide/context"},{"title":"Setup","icon":"wrench","href":"/hris/implementation-guide/setup"},{"title":"Connection setup","icon":"link","href":"/hris/implementation-guide/connection-setup"},{"group":"Filtering employees","icon":"filter","pages":[{"title":"Context","icon":"filter","href":"/hris/implementation-guide/filtering-employees/context"},{"title":"Using the filtering UI","icon":"sliders","href":"/hris/implementation-guide/filtering-employees/using-the-filtering-ui"},{"title":"Building filtering in-house","icon":"wrench","href":"/hris/implementation-guide/filtering-employees/building-filtering-in-house"}]},{"title":"Reading employees","icon":"users","href":"/hris/implementation-guide/reading-employees"},{"title":"Creating Employees (v2)","icon":"user-plus","href":"/hris/implementation-guide/create-employee"},{"title":"Create Employee Form with Staffing Entities","icon":"briefcase","href":"/hris/implementation-guide/staffing-entities-in-create-employee"}]},{"group":"Available Connectors","icon":"plug","pages":[{"title":"Available HRIS Connectors","sidebarTitle":"Overview","icon":"grid-2","href":"/hris/connectors"},{"title":"a3innuva Nómina HRIS Integration","sidebarTitle":"a3innuva Nómina","icon":"https://storage.googleapis.com/kombo-assets/integrations/a3innuvanomina/icon.svg","href":"/hris/connectors/a3innuvanomina"},{"title":"Abacus HRIS Integration","sidebarTitle":"Abacus","icon":"https://storage.googleapis.com/kombo-assets/integrations/abacus/icon.svg","href":"/hris/connectors/abacus"},{"title":"Absence.io HRIS Integration","sidebarTitle":"Absence.io","icon":"https://storage.googleapis.com/kombo-assets/integrations/absenceio/icon.svg","href":"/hris/connectors/absenceio"},{"title":"ADP Decidium HRIS Integration","sidebarTitle":"ADP Decidium","icon":"https://storage.googleapis.com/kombo-assets/integrations/adpdecidium/icon.svg","href":"/hris/connectors/adpdecidium"},{"title":"ADP Link HRIS Integration","sidebarTitle":"ADP Link","icon":"https://storage.googleapis.com/kombo-assets/integrations/adplink/icon.svg","href":"/hris/connectors/adplink"},{"title":"ADP Workforce Now HRIS Integration","sidebarTitle":"ADP Workforce Now","icon":"https://storage.googleapis.com/kombo-assets/integrations/adpworkforcenow/icon.svg","href":"/hris/connectors/adpworkforcenow"},{"title":"AFAS Software HRIS Integration","sidebarTitle":"AFAS Software","icon":"https://storage.googleapis.com/kombo-assets/integrations/afas/icon.svg","href":"/hris/connectors/afas"},{"title":"AlexisHR HRIS Integration","sidebarTitle":"AlexisHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/alexishr/icon.svg","href":"/hris/connectors/alexishr"},{"title":"BambooHR HRIS Integration","sidebarTitle":"BambooHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/bamboohr/icon.svg","href":"/hris/connectors/bamboohr"},{"title":"BoondManager HRIS Integration","sidebarTitle":"BoondManager","icon":"https://storage.googleapis.com/kombo-assets/integrations/boondmanager/icon.svg","href":"/hris/connectors/boondmanager"},{"title":"Breathe HR HRIS Integration","sidebarTitle":"Breathe HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/breathehr/icon.svg","href":"/hris/connectors/breathehr"},{"title":"CatalystOne HRIS Integration","sidebarTitle":"CatalystOne","icon":"https://storage.googleapis.com/kombo-assets/integrations/catalystone/icon.svg","href":"/hris/connectors/catalystone"},{"title":"Cezanne HR HRIS Integration","sidebarTitle":"Cezanne HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/cezannehr/icon.svg","href":"/hris/connectors/cezannehr"},{"title":"Charlie HRIS Integration","sidebarTitle":"Charlie","icon":"https://storage.googleapis.com/kombo-assets/integrations/charliehr/icon.svg","href":"/hris/connectors/charliehr"},{"title":"Cornerstone OnDemand HRIS Integration","sidebarTitle":"Cornerstone OnDemand","icon":"https://storage.googleapis.com/kombo-assets/integrations/cornerstoneondemand/icon.svg","href":"/hris/connectors/cornerstoneondemand"},{"title":"DATEV HRIS Integration","sidebarTitle":"DATEV","icon":"https://storage.googleapis.com/kombo-assets/integrations/datevlauds/icon.svg","href":"/hris/connectors/datevlauds"},{"title":"DATEV HR HRIS Integration","sidebarTitle":"DATEV HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/datevhr/icon.svg","href":"/hris/connectors/datevhr"},{"title":"DATEV LODAS HRIS Integration","sidebarTitle":"DATEV LODAS","icon":"https://storage.googleapis.com/kombo-assets/integrations/datev/icon.svg","href":"/hris/connectors/datev"},{"title":"DATEV Lohn \u0026 Gehalt HRIS Integration","sidebarTitle":"DATEV Lohn \u0026 Gehalt","icon":"https://storage.googleapis.com/kombo-assets/integrations/datevlug/icon.svg","href":"/hris/connectors/datevlug"},{"title":"Dayforce HRIS Integration","sidebarTitle":"Dayforce","icon":"https://storage.googleapis.com/kombo-assets/integrations/dayforce/icon.svg","href":"/hris/connectors/dayforce"},{"title":"Deel HRIS Integration","sidebarTitle":"Deel","icon":"https://storage.googleapis.com/kombo-assets/integrations/deel/icon.svg","href":"/hris/connectors/deel"},{"title":"Employment Hero HRIS Integration","sidebarTitle":"Employment Hero","icon":"https://storage.googleapis.com/kombo-assets/integrations/employmenthero/icon.svg","href":"/hris/connectors/employmenthero"},{"title":"Eurécia HRIS Integration","sidebarTitle":"Eurécia","icon":"https://storage.googleapis.com/kombo-assets/integrations/eurecia/icon.svg","href":"/hris/connectors/eurecia"},{"title":"Factorial HRIS Integration","sidebarTitle":"Factorial","icon":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg","href":"/hris/connectors/factorial"},{"title":"Fourth HRIS Integration","sidebarTitle":"Fourth","icon":"https://storage.googleapis.com/kombo-assets/integrations/fourth/icon.svg","href":"/hris/connectors/fourth"},{"title":"Google Workspace HRIS Integration","sidebarTitle":"Google Workspace","icon":"https://storage.googleapis.com/kombo-assets/integrations/googleworkspace/icon.svg","href":"/hris/connectors/googleworkspace"},{"title":"Gusto HRIS Integration","sidebarTitle":"Gusto","icon":"https://storage.googleapis.com/kombo-assets/integrations/gusto/icon.svg","href":"/hris/connectors/gusto"},{"title":"Hailey HR HRIS Integration","sidebarTitle":"Hailey HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/haileyhr/icon.svg","href":"/hris/connectors/haileyhr"},{"title":"Hansalog HRIS Integration","sidebarTitle":"Hansalog","icon":"https://storage.googleapis.com/kombo-assets/integrations/hansalog/icon.svg","href":"/hris/connectors/hansalog"},{"title":"HeavenHR HRIS Integration","sidebarTitle":"HeavenHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/heavenhr/icon.svg","href":"/hris/connectors/heavenhr"},{"title":"HiBob HRIS Integration","sidebarTitle":"HiBob","icon":"https://storage.googleapis.com/kombo-assets/integrations/hibob/icon.svg","href":"/hris/connectors/hibob"},{"title":"HoorayHR HRIS Integration","sidebarTitle":"HoorayHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/hoorayhr/icon.svg","href":"/hris/connectors/hoorayhr"},{"title":"HR WORKS HRIS Integration","sidebarTitle":"HR WORKS","icon":"https://storage.googleapis.com/kombo-assets/integrations/hrworks/icon.svg","href":"/hris/connectors/hrworks"},{"title":"HR4YOU HRIS Integration","sidebarTitle":"HR4YOU","icon":"https://storage.googleapis.com/kombo-assets/integrations/hr4you/icon.svg","href":"/hris/connectors/hr4you"},{"title":"Humaans HRIS Integration","sidebarTitle":"Humaans","icon":"https://storage.googleapis.com/kombo-assets/integrations/humaans/icon.svg","href":"/hris/connectors/humaans"},{"title":"Insperity HRIS Integration","sidebarTitle":"Insperity","icon":"https://storage.googleapis.com/kombo-assets/integrations/insperity/icon.svg","href":"/hris/connectors/insperity"},{"title":"IRIS Cascade HRIS Integration","sidebarTitle":"IRIS Cascade","icon":"https://storage.googleapis.com/kombo-assets/integrations/iriscascade/icon.svg","href":"/hris/connectors/iriscascade"},{"title":"iTrent HRIS Integration","sidebarTitle":"iTrent","icon":"https://storage.googleapis.com/kombo-assets/integrations/itrent/icon.svg","href":"/hris/connectors/itrent"},{"title":"Kallidus (Sapling) HRIS Integration","sidebarTitle":"Kallidus (Sapling)","icon":"https://storage.googleapis.com/kombo-assets/integrations/sapling/icon.svg","href":"/hris/connectors/sapling"},{"title":"Kenjo HRIS Integration","sidebarTitle":"Kenjo","icon":"https://storage.googleapis.com/kombo-assets/integrations/kenjo/icon.svg","href":"/hris/connectors/kenjo"},{"title":"Kombo Sandbox HRIS Integration","sidebarTitle":"Kombo Sandbox","icon":"https://storage.googleapis.com/kombo-assets/integrations/sandbox/icon.svg","href":"/hris/connectors/sandbox"},{"title":"Lattice HRIS Integration","sidebarTitle":"Lattice","icon":"https://storage.googleapis.com/kombo-assets/integrations/lattice/icon.svg","href":"/hris/connectors/lattice"},{"title":"Lattice Talent HRIS Integration","sidebarTitle":"Lattice Talent","icon":"https://storage.googleapis.com/kombo-assets/integrations/latticetalent/icon.svg","href":"/hris/connectors/latticetalent"},{"title":"Leapsome HRIS Integration","sidebarTitle":"Leapsome","icon":"https://storage.googleapis.com/kombo-assets/integrations/leapsome/icon.svg","href":"/hris/connectors/leapsome"},{"title":"Loket HRIS Integration","sidebarTitle":"Loket","icon":"https://storage.googleapis.com/kombo-assets/integrations/loket/icon.svg","href":"/hris/connectors/loket"},{"title":"Lucca HRIS Integration","sidebarTitle":"Lucca","icon":"https://storage.googleapis.com/kombo-assets/integrations/lucca/icon.svg","href":"/hris/connectors/lucca"},{"title":"MHR People First HRIS Integration","sidebarTitle":"MHR People First","icon":"https://storage.googleapis.com/kombo-assets/integrations/peoplefirst/icon.svg","href":"/hris/connectors/peoplefirst"},{"title":"Microsoft Azure AD HRIS Integration","sidebarTitle":"Microsoft Azure AD","icon":"https://storage.googleapis.com/kombo-assets/integrations/azuread/icon.svg","href":"/hris/connectors/azuread"},{"title":"Microsoft Entra ID HRIS Integration","sidebarTitle":"Microsoft Entra ID","icon":"https://storage.googleapis.com/kombo-assets/integrations/entraid/icon.svg","href":"/hris/connectors/entraid"},{"title":"Mirus HRIS Integration","sidebarTitle":"Mirus","icon":"https://storage.googleapis.com/kombo-assets/integrations/mirus/icon.svg","href":"/hris/connectors/mirus"},{"title":"Namely HRIS Integration","sidebarTitle":"Namely","icon":"https://storage.googleapis.com/kombo-assets/integrations/namely/icon.svg","href":"/hris/connectors/namely"},{"title":"Nibelis HRIS Integration","sidebarTitle":"Nibelis","icon":"https://storage.googleapis.com/kombo-assets/integrations/nibelis/icon.svg","href":"/hris/connectors/nibelis"},{"title":"Nmbrs HRIS Integration","sidebarTitle":"Nmbrs","icon":"https://storage.googleapis.com/kombo-assets/integrations/nmbrs/icon.svg","href":"/hris/connectors/nmbrs"},{"title":"Officient HRIS Integration","sidebarTitle":"Officient","icon":"https://storage.googleapis.com/kombo-assets/integrations/officient/icon.svg","href":"/hris/connectors/officient"},{"title":"Okta HRIS Integration","sidebarTitle":"Okta","icon":"https://storage.googleapis.com/kombo-assets/integrations/okta/icon.svg","href":"/hris/connectors/okta"},{"title":"Oracle HCM HRIS Integration","sidebarTitle":"Oracle HCM","icon":"https://storage.googleapis.com/kombo-assets/integrations/oraclehcm/icon.svg","href":"/hris/connectors/oraclehcm"},{"title":"OysterHR HRIS Integration","sidebarTitle":"OysterHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/oysterhr/icon.svg","href":"/hris/connectors/oysterhr"},{"title":"Paychex HRIS Integration","sidebarTitle":"Paychex","icon":"https://storage.googleapis.com/kombo-assets/integrations/paychex/icon.svg","href":"/hris/connectors/paychex"},{"title":"Paycom HRIS Integration","sidebarTitle":"Paycom","icon":"https://storage.googleapis.com/kombo-assets/integrations/paycom/icon.svg","href":"/hris/connectors/paycom"},{"title":"Paycor HRIS Integration","sidebarTitle":"Paycor","icon":"https://storage.googleapis.com/kombo-assets/integrations/paycor/icon.svg","href":"/hris/connectors/paycor"},{"title":"PayFit Customer HRIS Integration","sidebarTitle":"PayFit Customer","icon":"https://storage.googleapis.com/kombo-assets/integrations/payfitcustomer/icon.svg","href":"/hris/connectors/payfitcustomer"},{"title":"PayFit Partner HRIS Integration","sidebarTitle":"PayFit Partner","icon":"https://storage.googleapis.com/kombo-assets/integrations/payfitpartner/icon.svg","href":"/hris/connectors/payfitpartner"},{"title":"PayFit Legacy HRIS Integration","sidebarTitle":"PayFit Legacy","icon":"https://storage.googleapis.com/kombo-assets/integrations/payfit/icon.svg","href":"/hris/connectors/payfit"},{"title":"Paylocity HRIS Integration","sidebarTitle":"Paylocity","icon":"https://storage.googleapis.com/kombo-assets/integrations/paylocity/icon.svg","href":"/hris/connectors/paylocity"},{"title":"PeopleHR HRIS Integration","sidebarTitle":"PeopleHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/peoplehr/icon.svg","href":"/hris/connectors/peoplehr"},{"title":"PeopleXD HRIS Integration","sidebarTitle":"PeopleXD","icon":"https://storage.googleapis.com/kombo-assets/integrations/peoplexd/icon.svg","href":"/hris/connectors/peoplexd"},{"title":"Perbility Helix HRIS Integration","sidebarTitle":"Perbility Helix","icon":"https://storage.googleapis.com/kombo-assets/integrations/perbilityhelix/icon.svg","href":"/hris/connectors/perbilityhelix"},{"title":"Personio HRIS Integration","sidebarTitle":"Personio","icon":"https://storage.googleapis.com/kombo-assets/integrations/personio/icon.svg","href":"/hris/connectors/personio"},{"title":"Planday HRIS Integration","sidebarTitle":"Planday","icon":"https://storage.googleapis.com/kombo-assets/integrations/planday/icon.svg","href":"/hris/connectors/planday"},{"title":"Remote HRIS Integration","sidebarTitle":"Remote","icon":"https://storage.googleapis.com/kombo-assets/integrations/remotecom/icon.svg","href":"/hris/connectors/remotecom"},{"title":"rexx systems HRIS Integration","sidebarTitle":"rexx systems","icon":"https://storage.googleapis.com/kombo-assets/integrations/rexx/icon.svg","href":"/hris/connectors/rexx"},{"title":"Rippling HRIS Integration","sidebarTitle":"Rippling","icon":"","href":"/hris/connectors/rippling"},{"title":"Sage HR HRIS Integration","sidebarTitle":"Sage HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/sagehr/icon.svg","href":"/hris/connectors/sagehr"},{"title":"Sage People HRIS Integration","sidebarTitle":"Sage People","icon":"https://storage.googleapis.com/kombo-assets/integrations/sagepeople/icon.svg","href":"/hris/connectors/sagepeople"},{"title":"SAP SuccessFactors HRIS Integration","sidebarTitle":"SAP SuccessFactors","icon":"https://storage.googleapis.com/kombo-assets/integrations/successfactors/icon.svg","href":"/hris/connectors/successfactors"},{"title":"SCIM HRIS Integration","sidebarTitle":"SCIM","icon":"https://storage.googleapis.com/kombo-assets/integrations/scim/icon.svg","href":"/hris/connectors/scim"},{"title":"SD Worx HRIS Integration","sidebarTitle":"SD Worx","icon":"https://storage.googleapis.com/kombo-assets/integrations/sdworx/icon.svg","href":"/hris/connectors/sdworx"},{"title":"Sesame HR HRIS Integration","sidebarTitle":"Sesame HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/sesamehr/icon.svg","href":"/hris/connectors/sesamehr"},{"title":"SFTP HRIS Integration","sidebarTitle":"SFTP","icon":"https://storage.googleapis.com/kombo-assets/integrations/sftp/icon.svg","href":"/hris/connectors/sftp"},{"title":"SFTP Fetch HRIS Integration","sidebarTitle":"SFTP Fetch","icon":"https://storage.googleapis.com/kombo-assets/integrations/sftpfetch/icon.svg","href":"/hris/connectors/sftpfetch"},{"title":"Silae HRIS Integration","sidebarTitle":"Silae","icon":"","href":"/hris/connectors/silae"},{"title":"Simployer HRIS Integration","sidebarTitle":"Simployer","icon":"https://storage.googleapis.com/kombo-assets/integrations/simployer/icon.svg","href":"/hris/connectors/simployer"},{"title":"Skello HRIS Integration","sidebarTitle":"Skello","icon":"https://storage.googleapis.com/kombo-assets/integrations/skello/icon.svg","href":"/hris/connectors/skello"},{"title":"Square HRIS Integration","sidebarTitle":"Square","icon":"https://storage.googleapis.com/kombo-assets/integrations/square/icon.svg","href":"/hris/connectors/square"},{"title":"Sympa HRIS Integration","sidebarTitle":"Sympa","icon":"https://storage.googleapis.com/kombo-assets/integrations/sympa/icon.svg","href":"/hris/connectors/sympa"},{"title":"Tellent HR HRIS Integration","sidebarTitle":"Tellent HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/kiwihr/icon.svg","href":"/hris/connectors/kiwihr"},{"title":"TriNet (Zenefits) HRIS Integration","sidebarTitle":"TriNet (Zenefits)","icon":"https://storage.googleapis.com/kombo-assets/integrations/trinet/icon.svg","href":"/hris/connectors/trinet"},{"title":"TriNet PEO HRIS Integration","sidebarTitle":"TriNet PEO","icon":"https://storage.googleapis.com/kombo-assets/integrations/trinetpeo/icon.svg","href":"/hris/connectors/trinetpeo"},{"title":"UKG Pro HRIS Integration","sidebarTitle":"UKG Pro","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgpro/icon.svg","href":"/hris/connectors/ukgpro"},{"title":"UKG Pro WFM HRIS Integration","sidebarTitle":"UKG Pro WFM","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgprowfm/icon.svg","href":"/hris/connectors/ukgprowfm"},{"title":"UKG Ready HRIS Integration","sidebarTitle":"UKG Ready","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgready/icon.svg","href":"/hris/connectors/ukgready"},{"title":"VEDA HR Suite HRIS Integration","sidebarTitle":"VEDA HR Suite","icon":"https://storage.googleapis.com/kombo-assets/integrations/veda/icon.svg","href":"/hris/connectors/veda"},{"title":"Visma Peple HRIS Integration","sidebarTitle":"Visma Peple","icon":"https://storage.googleapis.com/kombo-assets/integrations/peple/icon.svg","href":"/hris/connectors/peple"},{"title":"Visma Raet - Youforce HRIS Integration","sidebarTitle":"Visma Raet - Youforce","icon":"https://storage.googleapis.com/kombo-assets/integrations/youforce/icon.svg","href":"/hris/connectors/youforce"},{"title":"Visma YouServe HRIS Integration","sidebarTitle":"Visma YouServe","icon":"https://storage.googleapis.com/kombo-assets/integrations/youserve/icon.svg","href":"/hris/connectors/youserve"},{"title":"Workday HRIS Integration","sidebarTitle":"Workday","icon":"https://storage.googleapis.com/kombo-assets/integrations/workday/icon.svg","href":"/hris/connectors/workday"},{"title":"Workday Custom Report SFTP HRIS Integration","sidebarTitle":"Workday Custom Report SFTP","icon":"https://storage.googleapis.com/kombo-assets/integrations/workdaycustomreportsftp/icon.svg","href":"/hris/connectors/workdaycustomreportsftp"},{"title":"Workday Custom Reports HRIS Integration","sidebarTitle":"Workday Custom Reports","icon":"https://storage.googleapis.com/kombo-assets/integrations/workdaycustomreport/icon.svg","href":"/hris/connectors/workdaycustomreport"},{"title":"workforce.com HRIS Integration","sidebarTitle":"workforce.com","icon":"https://storage.googleapis.com/kombo-assets/integrations/workforcecom/icon.svg","href":"/hris/connectors/workforcecom"},{"title":"Zellis HRIS Integration","sidebarTitle":"Zellis","icon":"https://storage.googleapis.com/kombo-assets/integrations/zellis/icon.svg","href":"/hris/connectors/zellis"},{"title":"Zelt HRIS Integration","sidebarTitle":"Zelt","icon":"https://storage.googleapis.com/kombo-assets/integrations/zelt/icon.svg","href":"/hris/connectors/zelt"},{"title":"Zoho People HRIS Integration","sidebarTitle":"Zoho People","icon":"https://storage.googleapis.com/kombo-assets/integrations/zohopeople/icon.svg","href":"/hris/connectors/zohopeople"}]},{"title":"FAQ","icon":"question","href":"/hris/faq"},{"title":"Important Changes","icon":"bell","href":"/hris/important-changes"}]},{"group":"Features","icon":"cubes","pages":[{"title":"Real-time Data","icon":"bolt","href":"/hris/features/real-time-data"},{"title":"Create and read absences","icon":"tag","href":"/hris/features/creating-absences"},{"title":"Create Employee","icon":"user-plus","href":"/hris/features/create-employee"},{"title":"Update Employee","sidebarTitle":"Update Employee","icon":"user-pen","tag":"BETA","href":"/hris/features/update-employee"},{"title":"Update Employment","sidebarTitle":"Update Employment","icon":"briefcase","tag":"BETA","href":"/hris/features/update-employment"},{"title":"Rehire Employee","sidebarTitle":"Rehire Employee","icon":"user-check","tag":"BETA","href":"/hris/features/rehire-employee"},{"title":"Data Explorer","icon":"table","href":"/hris/features/data-explorer"},{"title":"Time and Attendance","icon":"clock","href":"/hris/features/time-and-attendance"},{"title":"Performance data","icon":"award","href":"/hris/features/performance-data"},{"title":"Staffing entities","icon":"briefcase","href":"/hris/features/staffing-entities"},{"group":"Data filtering","icon":"filter","pages":[{"title":"Introduction","icon":"filter","href":"/hris/features/filtering/introduction"},{"title":"Data deletion","icon":"shield-halved","href":"/hris/features/filtering/data-policy"}]},{"title":"SFTP connections","icon":"folder","href":"/hris/features/sftp"},{"title":"SCIM Integrations","icon":"rotate","href":"/hris/features/scim"},{"title":"Setup Flow","icon":"sliders","href":"/hris/features/setup-flow/introduction"},{"title":"Custom Fields","icon":"square-plus","href":"/hris/features/custom-fields"},{"title":"Advanced Mappings","icon":"brackets-curly","href":"/hris/features/advanced-mappings"},{"group":"Remapping","icon":"shuffle","pages":[{"title":"Introduction","icon":"shuffle","href":"/hris/features/remapping/introduction"},{"title":"Remapping simple fields","icon":"sliders","href":"/hris/features/remapping/simple-remapping"},{"title":"Remapping enum fields","icon":"list-check","href":"/hris/features/remapping/enum-remapping"},{"title":"Remapping date fields","icon":"calendar-days","href":"/hris/features/remapping/date-remapping"},{"title":"Remapping address fields","icon":"map","href":"/hris/features/remapping/struct-remapping"},{"title":"Remapping reference fields","icon":"link","href":"/hris/features/remapping/reference-remapping"},{"title":"Remapping array fields","icon":"brackets-curly","href":"/hris/features/remapping/array-remapping"},{"title":"Kombo default fallback","icon":"rotate-left","href":"/hris/features/remapping/kombo-default-fallback"}]},{"title":"Logs","icon":"scroll","href":"/hris/features/logs"},{"title":"Issues","icon":"triangle-exclamation","href":"/hris/features/issues"},{"title":"Issue types","icon":"triangle-exclamation","href":"/hris/features/issue-types"},{"title":"Deletion Policy","icon":"trash","href":"/hris/features/deletion-policy"},{"title":"Passthrough API","icon":"right-left","href":"/hris/features/passthrough-api"},{"title":"Komboman","icon":"terminal","href":"/hris/features/komboman"},{"title":"Extend write endpoints","icon":"wand-magic-sparkles","href":"/hris/features/remote-fields"},{"title":"Scopes","icon":"bullseye","href":"/hris/features/scopes"},{"title":"Audit Logs","icon":"clipboard-list","href":"/hris/features/audit-logs"}]},{"group":"Guides","icon":"book-open","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Introduction","icon":"link","href":"/hris/guides/connect/introduction"},{"title":"Manual setup","icon":"wrench","href":"/hris/guides/connect/manual-setup"},{"title":"Magic links","icon":"wand-magic-sparkles","href":"/hris/guides/connect/magic-links"},{"title":"Embedded flow","icon":"puzzle-piece","href":"/hris/guides/connect/embedded-flow"},{"title":"Reconnecting an integration","icon":"arrow-rotate-right","href":"/hris/guides/connect/reconnection"}]},{"title":"How Kombo Syncs Data","icon":"arrows-rotate","href":"/hris/guides/sync"},{"title":"Error Handling","icon":"bug-slash","href":"/guides/errors"},{"title":"Concurrency Limiting","icon":"gauge-max","href":"/hris/guides/concurrency-limiting"},{"title":"SFTP self-serve setup","icon":"sliders","href":"/hris/guides/sftp-self-serve"},{"title":"Webhooks","icon":"bolt","href":"/hris/guides/webhooks"},{"title":"Upstream webhooks","icon":"cloud-arrow-down","href":"/hris/guides/upstream-webhooks"},{"title":"Integration States","icon":"traffic-light","href":"/hris/guides/integration-states"},{"title":"Implementing New Tools","icon":"toolbox","href":"/hris/guides/implementing-new-tools"},{"title":"Environments","icon":"building","href":"/hris/guides/environments"},{"title":"Partner Credentials","icon":"handshake","href":"/hris/guides/partner-credentials"},{"title":"Static IPs","icon":"shield-check","href":"/hris/guides/static-ips"},{"group":"Troubleshooting","icon":"bug","pages":[{"title":"How to troubleshoot issues with Kombo","icon":"life-ring","href":"/hris/guides/debugging/introduction"},{"title":"Troubleshoot connection flow problems","icon":"link-slash","href":"/hris/guides/debugging/debug-connection-flow"},{"title":"Investigate failing actions","icon":"bolt","href":"/hris/guides/debugging/investigate-failing-actions"},{"title":"Diagnosing missing or incorrect data","icon":"magnifying-glass","href":"/hris/guides/debugging/debug-data-issues"}]}]},{"group":"HRIS API Reference","icon":"book","pages":[{"group":"Employees","icon":"users","pages":[{"title":"Get employees","openapi":"GET /hris/employees","href":"/hris/v1/get-employees"},{"title":"Get employments","openapi":"GET /hris/employments","href":"/hris/v1/get-employments"},{"group":"Create employee","pages":[{"title":"Get employee form","openapi":"GET /hris/employees/form","href":"/hris/v1/get-employees-form"},{"title":"Create employee with form","openapi":"POST /hris/employees/form","href":"/hris/v1/post-employees-form"}]},{"group":"Update employee","tag":"BETA","pages":[{"title":"Get personal data form","sidebarTitle":"Get personal data form","openapi":"GET /hris/employees/{employee_id}/form/personal_data","href":"/hris/v1/get-employees-employee-id-form-personal-data"},{"title":"Update employee personal data","sidebarTitle":"Update personal data","openapi":"PATCH /hris/employees/{employee_id}/form/personal_data","href":"/hris/v1/patch-employees-employee-id-form-personal-data"}]},{"group":"Update employment","tag":"BETA","pages":[{"title":"Get compensation form","sidebarTitle":"Get compensation form","openapi":"GET /hris/employments/{employment_id}/form/compensation","href":"/hris/v1/get-employments-employment-id-form-compensation"},{"title":"Update employment compensation","sidebarTitle":"Update compensation","openapi":"PATCH /hris/employments/{employment_id}/form/compensation","href":"/hris/v1/patch-employments-employment-id-form-compensation"},{"title":"Get job form","sidebarTitle":"Get job form","openapi":"GET /hris/employments/{employment_id}/form/job","href":"/hris/v1/get-employments-employment-id-form-job"},{"title":"Update employment job","sidebarTitle":"Update job","openapi":"PATCH /hris/employments/{employment_id}/form/job","href":"/hris/v1/patch-employments-employment-id-form-job"}]},{"group":"Rehire employee","tag":"BETA","pages":[{"title":"Get rehire form","sidebarTitle":"Get rehire form","openapi":"GET /hris/employees/{employee_id}/form/rehire","href":"/hris/v1/get-employees-employee-id-form-rehire"},{"title":"Rehire employee","openapi":"POST /hris/employees/{employee_id}/form/rehire","href":"/hris/v1/post-employees-employee-id-form-rehire"}]}]},{"group":"Organization","icon":"building","pages":[{"title":"Get groups","openapi":"GET /hris/groups","href":"/hris/v1/get-groups"},{"title":"Get legal entities","openapi":"GET /hris/legal-entities","href":"/hris/v1/get-legal-entities"},{"title":"Get work locations","openapi":"GET /hris/locations","href":"/hris/v1/get-locations"}]},{"group":"Employee Documents","icon":"folder-open","pages":[{"title":"Get employee document categories","openapi":"GET /hris/employee-document-categories","href":"/hris/v1/get-employee-document-categories"},{"title":"Add document to employee","openapi":"POST /hris/employees/{employee_id}/documents","href":"/hris/v1/post-employees-employee-id-documents"}]},{"group":"Time off","icon":"calendar-minus","pages":[{"title":"Get absences","openapi":"GET /hris/absences","href":"/hris/v1/get-absences"},{"title":"Get absence types","description":"Retrieve all absence types.","openapi":"GET /hris/absence-types","href":"/hris/v1/get-absence-types"},{"title":"Get time off balances","openapi":"GET /hris/time-off-balances","href":"/hris/v1/get-time-off-balances"},{"title":"Create absence","description":"Create a new absence.","openapi":"POST /hris/absences","href":"/hris/v1/post-absences"},{"title":"Delete absence","openapi":"DELETE /hris/absences/{absence_id}","href":"/hris/v1/delete-absences-absence-id"}]},{"group":"Time and attendance","icon":"clock","pages":[{"title":"Get timesheets","openapi":"GET /hris/timesheets","href":"/hris/v1/get-timesheets"}]},{"group":"Performance data","icon":"award","pages":[{"title":"Get performance review cycles","openapi":"GET /hris/performance-review-cycles","href":"/hris/v1/get-performance-review-cycles"},{"title":"Get performance reviews","openapi":"GET /hris/performance-reviews","href":"/hris/v1/get-performance-reviews"}]},{"group":"Staffing entities","icon":"briefcase","pages":[{"title":"Get staffing entities","openapi":"GET /hris/staffing-entities","href":"/hris/v1/get-staffing-entities"}]},{"group":"Skills","icon":"star","pages":[{"title":"Get skills","openapi":"GET /hris/skills","href":"/hris/v1/get-skills"},{"title":"Upsert managed skill","openapi":"POST /hris/skills","href":"/hris/v1/post-skills"},{"title":"Get employee skill proficiency ratings","openapi":"GET /hris/skill-proficiency-ratings","href":"/hris/v1/get-skill-proficiency-ratings"},{"title":"Upsert employee skill proficiency rating","openapi":"POST /hris/skill-proficiency-ratings","href":"/hris/v1/post-skill-proficiency-ratings"},{"title":"Upsert staffing entity skill expectation","openapi":"POST /hris/staffing-entities/{staffing_entity_id}/skills","href":"/hris/v1/post-staffing-entities-staffing-entity-id-skills"}]}]},{"group":"Payroll API Reference","icon":"file-invoice","tag":"NEW","pages":[{"group":"Payslips","icon":"receipt","tag":"BETA","pages":[{"title":"Payslips","openapi":"GET /hris/payslips","href":"/hris/v1/get-payslips"}]},{"group":"Pay runs","icon":"money-bill-wave","tag":"BETA","pages":[{"title":"Pay Runs","openapi":"GET /hris/pay-runs","href":"/hris/v1/get-pay-runs"}]},{"group":"Pay groups","icon":"layer-group","tag":"BETA","pages":[{"title":"Pay Groups","openapi":"GET /hris/pay-groups","href":"/hris/v1/get-pay-groups"}]}]},{"group":"General API Reference","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Create connection link","openapi":"POST /connect/create-link","href":"/hris/v1/post-connect-create-link"},{"title":"Get integration by token","openapi":"GET /connect/integration-by-token/{token}","href":"/hris/v1/get-connect-integration-by-token-token"},{"title":"Activate integration (optional)","openapi":"POST /connect/activate-integration","href":"/hris/v1/post-connect-activate-integration"},{"title":"Create reconnection link","openapi":"POST /integrations/{integration_id}/relink","href":"/hris/v1/post-integrations-integration-id-relink"},{"title":"Create Setup Flow link","openapi":"POST /integrations/{integration_id}/setup-link","href":"/hris/v1/post-integrations-integration-id-setup-link"},{"title":"Get tools","openapi":"GET /tools/{category}","href":"/hris/v1/get-tools-category"}]},{"group":"Integrations","icon":"plug","pages":[{"title":"Get integration details","openapi":"GET /integrations/{integration_id}","href":"/hris/v1/get-integrations-integration-id"},{"title":"Set integration enabled","openapi":"PUT /integrations/{integration_id}/enabled","href":"/hris/v1/put-integrations-integration-id-enabled"},{"title":"Delete integration","openapi":"DELETE /integrations/{integration_id}","href":"/hris/v1/delete-integrations-integration-id"},{"title":"Trigger sync","openapi":"POST /force-sync","href":"/hris/v1/post-force-sync"}]},{"group":"Filtering","icon":"filter","pages":[{"title":"Create provisioning setup link (deprecated)","openapi":"POST /hris/provisioning-groups/{group_id}/setup-links","href":"/hris/v1/post-provisioning-groups-group-id-setup-links"}]},{"group":"Custom Fields","icon":"square-plus","pages":[{"title":"Get custom fields with current mappings","openapi":"GET /integrations/{integration_id}/custom-fields","href":"/hris/v1/get-integrations-integration-id-custom-fields"}]},{"group":"Other","icon":"ellipsis","pages":[{"title":"Check API key","openapi":"GET /check-api-key","href":"/hris/v1/get-check-api-key"},{"title":"Send passthrough request","openapi":"POST /passthrough/{tool}/{api}","href":"/hris/v1/post-passthrough-tool-api"}]}]},{"group":"DATEV","icon":"file-lines","pages":[{"title":"Getting Started","icon":"plug","href":"/hris/datev/datev-integration"},{"title":"Get DATEV user info","openapi":"GET /custom/datev/userinfo","href":"/hris/v1/get-datev-userinfo"},{"group":"DATEV LAUDS exclusive endpoints","icon":"key","pages":[{"title":"Get available salary types (Lohnarten) from DATEV.","openapi":"GET /custom/datev/salary-types","href":"/hris/v1/get-custom-datev-salary-types"},{"title":"Get available health insurers from DATEV.","openapi":"GET /custom/datev/health-insurances","href":"/hris/v1/get-custom-datev-health-insurances"}]},{"group":"DATEV Payroll","icon":"file-invoice","pages":[{"title":"Verify ASCII write is enabled","openapi":"GET /custom/datev/check-write-permission","href":"/hris/v1/get-datev-check-write-permission"},{"title":"Write raw DATEV ASCII file","openapi":"POST /custom/datev/passthrough","href":"/hris/v1/post-datev-passthrough"},{"title":"Get DATEV system information","openapi":"GET /custom/datev/system-information","href":"/hris/v1/get-datev-system-information"},{"title":"Get DATEV data pushes","openapi":"GET /custom/datev/data-pushes","href":"/hris/v1/get-datev-data-pushes"}]},{"group":"DATEV Documents (Payslips)","icon":"folder","pages":[{"title":"Verify service is enabled","openapi":"GET /custom/datev/check-document-permission","href":"/hris/v1/get-datev-check-document-permission"},{"title":"Retrieve available documents","openapi":"GET /custom/datev/available-documents","href":"/hris/v1/get-datev-available-documents"},{"title":"Download Employee Document","openapi":"POST /custom/datev/employees/{employee_id}/download-document","href":"/hris/v1/post-datev-employees-employee-id-download-document"},{"title":"Download Company Document","openapi":"POST /custom/datev/download-document","href":"/hris/v1/post-datev-download-document"}]},{"group":"DATEV eAU","icon":"file-medical","pages":[{"title":"Process Description","icon":"file-medical","href":"/hris/datev/datev-eau"},{"title":"eAU examples","icon":"book","href":"/hris/datev/datev-eau-examples"},{"title":"Verify service is enabled","openapi":"GET /custom/datev/check-eau-permission","href":"/hris/v1/get-datev-check-eau-permission"},{"title":"Create eAU Request","openapi":"POST /custom/datev/employees/{employee_id}/eau-requests","href":"/hris/v1/post-datev-employees-employee-id-eau-requests"},{"title":"Quer
[...]
